Update a deal

Update an existing deal

To update a deal, following permissions are required.

  • Deal permission: the user should have a permission to manage deals.
  • Pipeline-specific permission: the user should have a permission to manage the pipeline the updating deal belongs to.
  • Deal reassign permission: if assigning the deal to another user, this permission is required.

By default, the deal stage is also returned in the response. If deal.contact was provided in the request, the primary contact is also returned in the response.

📘

Deal Status ID's

0 = Open
1 = Won
2 = Lost

{
  "deal": {
    "contact": "51",
    "account": "45",
    "description": "This deal is an important deal",
    "currency": "usd",
    "group": "1",
    "owner": "1",
    "percent": null,
    "stage": "1",
    "status": 0,
    "title": "AC Deal",
    "value": 45600,
    "fields": [
      {
        "customFieldId": 1,
        "fieldValue": "First field value"
      },
      {
        "customFieldId": 2,
        "fieldValue": "2008-01-20"
      },
      {
        "customFieldId": 3,
        "fieldValue": 8800,
        "fieldCurrency": "USD"
      }
    ]
  }
}
Path Params
int32
required

The Deal's id

Body Params
deal
object
boolean

true writes only the columns the request changed instead of every column of the deal.

boolean

Read but has no effect.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
application/json